## Index

### Type aliases

- GameEndPayload
- GameMessage
- GameOptions
- GameServerBindings
- GameUpdatePayload
- MessageType
- Player
- ServerOptions

### Object literals

- SOCKET_MESSAGE

## Type aliases

### GameEndPayload

GameEndPayload: object

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:15

#### Type declaration

- ##### duration: number

- ##### message: string

- ##### stats: any

- ##### tie: boolean

- ##### winner: Player | null

### GameMessage

GameMessage: object

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:23

#### Type declaration

- ##### payload: any

- ##### type: MessageType

### GameOptions

GameOptions: object

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:9

#### Type declaration

### GameServerBindings

GameServerBindings: object

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:28

#### Type declaration

- ##### onPlayerMessage: function

  - - (player: Player, payload: any): void

    - #### Parameters

      - ##### player: Player

      - ##### payload: any

      #### Returns void

- ##### startGame: function

  - - (options: GameOptions): void

    - #### Parameters

      - ##### options: GameOptions

      #### Returns void

### GameUpdatePayload

GameUpdatePayload: object

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:11

#### Type declaration

- ##### stats: any

### MessageType

MessageType: "END" | "UPDATE"

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:3

### Player

Player: string

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:1

### ServerOptions

ServerOptions: object

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:5

#### Type declaration

- ##### port: number

## Object literals

### Const SOCKET_MESSAGE

SOCKET_MESSAGE: object

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:33

### GAME_MESSAGE

GAME_MESSAGE: string = "gameMessage"

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:36

### PLAYER_MESSAGE

PLAYER_MESSAGE: string = "playerMessage"

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:35

### START_GAME

START_GAME: string = "startGame"

- Defined in node_modules/@socialgorithm/game-server/dist/constants.ts:34

Generated using TypeDoc